/*
 * ExitController.fx
 *
 * Created on 23.07.2009, 19:20:17
 */

package org.openoffice.setup.FX.controller;

import javafx.stage.Alert;

/**
 * @author is93718
 */

public class ExitController {

    public function exitProgram(text: String): Void {
        print("*********************************************\n");
        print("{text}\n");
        print("*********************************************\n");
        FX.exit();
    }

    public function exitProgramAlert(title: String, text: String): Void {
        Alert.inform(title, text);
        FX.exit();
    }

    public function showCancelDialog(title: String, text: String): Void {
        if ( Alert.question(title, text) ) {
            FX.exit();
        }
    }
    
}
