/*
 * MainContent.fx
 *
 * Created on 24.07.2009, 17:15:35
 */

package org.openoffice.setup.FX.frame;

import javafx.scene.control.Label;
import javafx.scene.layout.VBox;

import javafx.scene.control.ProgressBar;

import javafx.scene.control.ProgressIndicator;

import javafx.scene.layout.HBox;

import javafx.scene.text.Font;

/**
 * @author is93718
 */

public class MainContentInstallationOngoing extends MainContent {

    public var label1Text: String = "default text label1";
    public var label2Text: String = "default text label2";
    public var label3Text: String = "default text label3";
    public var labelAdTitle: String = "";
    public var labelAdText1: String = "";
    public var labelAdText2: String = "";
    public var progressCount: Float = 0.0;

    public var publicLabel1Text = label1Text;
    public var publicLabel2Text = label1Text;
    public var publicLabel3Text = label1Text;
    public var publicLabelAdTitle = labelAdTitle;
    public var publicLabelAdText1 = labelAdText1;
    public var publicLabelAdText2 = labelAdText2;
    public var publicProgressCount = progressCount;

    public function updateContent(): Void {
        label1Text = publicLabel1Text;
        label2Text = publicLabel2Text;
        label3Text = publicLabel3Text;
        labelAdTitle = publicLabelAdTitle;
        labelAdText1 = publicLabelAdText1;
        labelAdText2 = publicLabelAdText2;
        progressCount = publicProgressCount;
    }

    public var label1: Label = Label {
                              text: bind label1Text
                          }

    public var label2: Label = Label {
                              text: bind label2Text
                          }

    public var label3: Label = Label {
                              text: bind label3Text
                          }

    public var adTitle: Label = Label {
                              text: bind labelAdTitle
                              font: Font{ name: "Arial Bold" size: 17 }
                          }

    public var adText1: Label = Label {
                              text: bind labelAdText1
                              font: Font{ name: "Arial Bold" size: 15 }
                          }

    public var adText2: Label = Label {
                              text: bind labelAdText2
                              font: Font{ name: "Arial Bold" size: 15 }
                          }

    public var progressBar: ProgressBar = ProgressBar {
                                       progress: bind progressCount
                                       visible: true
                                       opacity: 0.5
                                   }

    public var progressIndicator: ProgressIndicator = ProgressIndicator {
                                       progress: bind progressCount
                                       visible: true
                                       opacity: 0.5
                                   }

    public var progressBox: HBox = HBox {
                                       spacing: 10
                                       content: [ progressBar, progressIndicator ]
                                   }

    def mainBox: VBox = VBox {
                            spacing: 10
                            // effect: DropShadow { }
                            content: [ label1, label2, label3, progressBox, adTitle, adText1, adText2 ]
                        };

    public override function getMainBox(): VBox {
        return mainBox
    }

}
