/*
 * MainContent.fx
 *
 * Created on 24.07.2009, 17:15:35
 */

package org.openoffice.setup.FX.frame;

import javafx.scene.control.Label;


import javafx.scene.layout.VBox;

import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import org.openoffice.setup.SetupData.SetupDataProvider;

import javafx.ext.swing.SwingComponent;
import javafx.ext.swing.SwingScrollPane;
import javafx.scene.effect.DropShadow;
import javafx.scene.paint.Color;

// import javax.swing.JScrollPane;


/**
 * @author is93718
 */

public class MainContentModuleSelection extends MainContent {

    public var labelText: String = "default text";
    public var labelModuleDescription = "default module description";
    public var labelModuleSize = "default module size";

    def label1: Label = Label {
                              text: bind labelText
                          }

    def labelModuleContent: Label = Label {
                              text: bind labelText
                          }

    def labelModDescription: Label = Label {
                                         text: bind labelModuleDescription
                                         textWrap: true
                                         // width: 20
                                     }

    def labelModSize: Label = Label {
                                  text: bind labelModuleSize
                              }

    var root: DefaultMutableTreeNode = SetupDataProvider.createTree();
    public var componentTree: JTree = new JTree(root);

/*
    // Version A
    public var scrollPane: JScrollPane = new JScrollPane(componentTree);
    var swingScrollPane: SwingComponent = SwingComponent.wrap(scrollPane);
*/
    // Version B
    public var swingScrollPane: SwingComponent = SwingComponent.wrap(componentTree);

    def modulePane: SwingScrollPane = SwingScrollPane {
                                           scrollable: true
                                           height: 200
                                           width: 400
                                           opacity: 0.8
                                           // font: Font {
                                           //     size: 18
                                           // }

                                           foreground: Color.YELLOW;
                                           // background: Color.BLUE
                                           effect: DropShadow { }
                                           view: swingScrollPane
    }

    def mainBox: VBox = VBox {
                             spacing: 10
                             width: 400
                             height: 160
                             // effect: DropShadow { }
                             content: [label1, modulePane, labelModDescription, labelModSize]
                             // content: [label1, swingScrollPane]
                         };

    public override function getMainBox(): VBox {
        return mainBox
    }

}

