/*
 * MainContent.fx
 *
 * Created on 24.07.2009, 17:15:35
 */

package org.openoffice.setup.FX.frame;

import org.openoffice.setup.FX.*;
import javafx.scene.control.Label;
import javafx.scene.layout.VBox;

/**
 * @author is93718
 */

public class MainContentWelcome extends MainContent {

    public var labelText: String = "";
    public var label2Text: String = "";
    public var label3Text: String = "";
    public var showLabel2: Boolean = false;

    public var publicLabelText: String = labelText;
    public var publicLabel2Text: String = label2Text;

    public function updateContent(): Void {
        labelText = publicLabelText;
        label2Text = publicLabel2Text;
    }

    def label1: Label = Label {
                            text: bind labelText
                        }

    def label2: Label = Label {
                            text: bind label2Text
                            // visible: bind showLabel2
                        }

    def label3: Label = Label {
                            text: bind label3Text
                        }

    def mainBox: VBox = VBox {
                             spacing: 10
                             // effect: DropShadow { }
                             content: [ label1, label2, label3 ]
                         };

    public override function getMainBox(): VBox {
        return mainBox
    }

}
