/*
 * MainContent.fx
 *
 * Created on 24.07.2009, 17:15:35
 */

package org.openoffice.setup.FX.frame;

import javafx.scene.control.Label;
import javafx.scene.layout.VBox;




import javafx.scene.control.RadioButton;
import javafx.scene.control.ToggleGroup;

import javafx.scene.input.MouseEvent;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;

/**
 * @author is93718
 */

public class MainContentInstallationType extends MainContent {

    public var labelText: String = "default text";
    public var selection1Text: String = "default selection 1";
    public var selection1Desc: String = "description selection 1";
    public var selection2Text: String = "default selection 2";
    public var selection2Desc: String = "description selection 2";

    def label1: Label = Label {
                              text: bind labelText
                          }

    def typeSelection = ToggleGroup{}

    public var selection1 = RadioButton {
                                toggleGroup: typeSelection
                                selected: true;
                            }

    public var selection2 = RadioButton {
                                toggleGroup: typeSelection
                            }

    def typeSelectionBox = VBox {
                               spacing: 15
                               width: 200
                               content:[
                                   HBox {
                                       content: [
                                           selection1,
                                           VBox {
                                               spacing: 5
                                               content: [
                                                   Label {
                                                       text: selection1Text
                                                       textFill: Color.ALICEBLUE
                                                   },
                                                   Label {
                                                       text: selection1Desc
                                                       textFill: Color.ALICEBLUE
                                                   }
                                               ]
                                           }
                                       ]
                                   },
                                   HBox {
                                       content: [
                                           selection2,
                                           VBox {
                                               spacing: 5
                                               content: [
                                                   Label {
                                                       text: selection2Text
                                                       textFill: Color.ALICEBLUE
                                                   },
                                                   Label {
                                                       text: selection2Desc
                                                       textFill: Color.ALICEBLUE
                                                   }
                                               ]
                                           }
                                       ]
                                   }
                               ]
                           }

    def mainBox: VBox = VBox {
                             spacing: 10
                             width: 200
                             height: 60
                             // effect: DropShadow { }
                             content: [label1, typeSelectionBox]
                         };

    public override function getMainBox(): VBox {
        return mainBox
    }

}
