/*
 * MainContent.fx
 *
 * Created on 24.07.2009, 17:15:35
 */

package org.openoffice.setup.FX.frame;

import javafx.scene.control.Label;


import javafx.scene.layout.VBox;
import javafx.scene.control.Button;
import javafx.scene.control.TextBox;

import javax.swing.JFileChooser;

import java.io.File;

import javafx.scene.effect.DropShadow;

/**
 * @author is93718
 */

public class MainContentPathSelection extends MainContent {

    public var labelText: String = "default text";
    public var browseButtonText: String = "default";
    public var defaultDirText: String = "";

    public var textInput: TextBox = TextBox {
                                 columns: 40
                                 opacity: 0.7
                                 text: defaultDirText
                             }

    var directoryChooser: JFileChooser;
    var fileChooser: javax.swing.JFileChooser;

    def label1: Label = Label {
                              text: bind labelText
                          }

    def browseButton: Button = Button {
                              text: browseButtonText
                              visible: true
                              effect: DropShadow { }
                              action: function() {
                                  var fc: JFileChooser = JFileChooser{};
                                  fc.setSelectedFile(new File(defaultDirText));
                                  fc.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
                                  if (fc.showOpenDialog(null) == javax.swing.JFileChooser.APPROVE_OPTION) {
                                      textInput.text = fc.getSelectedFile().toString();
                                  }
                              }
                          }

    def mainBox: VBox = VBox {
                             spacing: 10
                             width: 200
                             height: 60
                             // effect: DropShadow { }
                             content: [label1, textInput, browseButton]
                         };

    public override function getMainBox(): VBox {
        return mainBox
    }

}
