/*
 * MainContent.fx
 *
 * Created on 24.07.2009, 17:15:35
 */

package org.openoffice.setup.FX.frame;

import javafx.scene.control.Label;
import javafx.scene.layout.VBox;

import javafx.scene.control.ProgressBar;
import javafx.scene.control.ProgressIndicator;
import javafx.scene.layout.HBox;

/**
 * @author is93718
 */

public class MainContentStart extends MainContent {

    public var labelText: String = "default text";
    public var label2Text: String = "default text";
    public var showLabel2: Boolean = false;
    public var progressCount: Float = 0.0;
    public var visibilty: Boolean = false;

    public var publicLabelText: String = labelText;
    public var publicLabel2Text: String = label2Text;
    public var publicProgressCount = progressCount;
    public var publicVisibility = visibilty;

    public function updateContent(): Void {
        labelText = publicLabelText;
        label2Text = publicLabel2Text;
        progressCount = publicProgressCount;
        visibilty = publicVisibility;
    }

    def label1: Label = Label {
                            text: bind labelText
                        }

    def label2: Label = Label {
                              text: bind label2Text
                              // visible: bind showLabel2
                          }

    public var progressBar: ProgressBar = ProgressBar {
                                       progress: bind progressCount
                                       visible: bind visibilty
                                       opacity: 0.5
                                   }

    public var progressIndicator: ProgressIndicator = ProgressIndicator {
                                       progress: bind progressCount
                                       visible: bind visibilty
                                       opacity: 0.5
                                   }

    public var progressBox: HBox = HBox {
                                       spacing: 10
                                       content: [ progressBar, progressIndicator ]
                                   }

    def mainBox: VBox = VBox {
                             spacing: 10
                             // effect: DropShadow { }
                             content: [ label1, label2, progressBox ]
                         };

    public override function getMainBox(): VBox {
        return mainBox
    }

}
